## smssend 0.1.0

=== debian/changelog ===
smssend (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Paolo Iommarini <sakya_tg@yahoo.it>  Tue, 08 Feb 2011 12:56:16 +0100
