## smssend 0.1.1

=== debian/changelog ===
smssend (0.1.1) unstable; urgency=low

  * Added -l option to log pnatd messages
  * Changed output
  * Added result OK/FAILED when sending sms

 -- Paolo Iommarini <sakya_tg@yahoo.it>  Wed, 09 Feb 2011 16:07:16 +0100
