## smssend 0.1.4

=== debian/changelog ===
smssend (0.1.4) unstable; urgency=low

  *Added transaction to db insert to save sms
  *Added -C option to send the sms with conversation

 -- Paolo Iommarini <sakya_tg@yahoo.it>  Th, 10 Feb 2011 13:11:00 +0100

smssend (0.1.3) unstable; urgency=low

  *Sms sent via pnatd are saved in the sent folder
  *Added option -s to avoid saving the message in the sent folder

 -- Paolo Iommarini <sakya_tg@yahoo.it>  Wed, 09 Feb 2011 21:14:16 +0100

smssend (0.1.2) unstable; urgency=low

  * Fixed segfault when running from user

 -- Paolo Iommarini <sakya_tg@yahoo.it>  Wed, 09 Feb 2011 16:50:16 +0100
